Ruby 2.0.0p247(2013-06-27revision41674)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
OnigCaptureTreeNodeStruct Struct Reference

`#include <oniguruma.h>`

## Data Fields
int | group
OnigPosition | beg
OnigPosition | end
int | allocated
int | num_childs
struct OnigCaptureTreeNodeStruct ** | childs

## Detailed Description

Definition at line 603 of file ripper.y.

## Field Documentation

int OnigCaptureTreeNodeStruct::allocated

Definition at line 607 of file ripper.y.

OnigPosition OnigCaptureTreeNodeStruct::beg

Definition at line 605 of file ripper.y.

Referenced by match_at().

struct OnigCaptureTreeNodeStruct ** OnigCaptureTreeNodeStruct::childs

Definition at line 609 of file ripper.y.

OnigPosition OnigCaptureTreeNodeStruct::end

Definition at line 606 of file ripper.y.

Referenced by match_at().

int OnigCaptureTreeNodeStruct::group

Definition at line 604 of file ripper.y.

Referenced by match_at().

int OnigCaptureTreeNodeStruct::num_childs

Definition at line 608 of file ripper.y.

The documentation for this struct was generated from the following file:

- include/ruby/oniguruma.h